Skip to main content
`Ctrl`+`K`

# PetscSortMPIIntWithIntArray

Sorts an array of `PetscMPIInt` in place in increasing order; changes a second array of `PetscInt` to match the sorted first array.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortMPIIntWithIntArray(PetscCount n, PetscMPIInt X[], PetscInt Y[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscMPIInt`

- Y - second array of `PetscInt`

## Note

This routine is useful when one needs to sort MPI ranks with other integer arrays.

## See Also

`PetscSortMPIIntWithArray()`, `PetscIntSortSemiOrderedWithArray()`, `PetscTimSortWithArray()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages